language: php

sudo: false

php:
  - 7.1
  - 7.2
  - 7.3

env:
  matrix:
    - LARAVEL=5.5.*
    - LARAVEL=5.7.*
    - LARAVEL=5.8.*
    - LARAVEL=dev-master

matrix:
  fast_finish: true
  exclude:
    - php: 7.1
      env: LARAVEL=dev-master
  allow_failures:
    - env: LARAVEL=dev-master

before_install:
  - phpenv config-rm xdebug.ini || true

install:
  - travis_retry composer require "illuminate/contracts=${LARAVEL}" --dev --prefer-dist --no-interaction --no-suggest

before_script:
  - sleep 10

script: vendor/bin/phpunit --verbose
